using System.Data;
using System.Data.SqlClient;

namespace AdhiC.db
{
	/// <summary>
	/// Summary description for AdhiSQLConnection.
	/// </summary>
	public class AdhiSQLConnection : AdhiDBConnection
	{
		//creates a sql connection
		public AdhiSQLConnection()
		{
			Connection = new SqlConnection();
		}

		//sets the connection string
		public override void setConnectionString(string connectionString)
		{
			((SqlConnection)Connection).ConnectionString = connectionString;;
			//connection.ConnectionString = connectionString;
		}

		//gets the state of the connection
		public override ConnectionState getState() 
		{
			ConnectionState state=0;
			if(Connection != null )
			{
				state =((SqlConnection)Connection).State;
			}
			return state;
		}

		//opens a connection
		public override void Open()
		{
			if(Connection != null)
			{
				((SqlConnection)Connection).Open();
			}		
		}

		//closes a connection
		public override void Close()
		{
			if(Connection !=null)
			{
				((SqlConnection)Connection).Close();
			}
		}

	}
}
