using System.Data;
using System.Data.Odbc;

namespace AdhiC.db
{
	/// <summary>
	/// Summary description for AdhiOdbcConnection.
	/// </summary>
	public class AdhiOdbcConnection : AdhiDBConnection
	{
		public AdhiOdbcConnection()
		{
			Connection = new OdbcConnection();
		}

		//sets the connection string
		public override void setConnectionString(string connectionString)
		{
			((OdbcConnection)Connection).ConnectionString = connectionString;;
			//connection.ConnectionString = connectionString;
		}

		//gets the state of the connection
		public override ConnectionState getState() 
		{
			ConnectionState state=0;
			if(Connection != null )
			{
				state =((OdbcConnection)Connection).State;
			}
			return state;
		}

		//opens a connection
		public override void Open()
		{
			if(Connection != null)
			{
				((OdbcConnection)Connection).Open();
			}		
		}

		//closes a connection
		public override void Close()
		{
			if(Connection !=null)
			{
				((OdbcConnection)Connection).Close();
			}
		}

	}
}
